io.netty.handler.codec.mqtt

## Class MqttMessageBuilders.ConnAckPropertiesBuilder

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageBuilders.ConnAckPropertiesBuilder

Enclosing class:
  MqttMessageBuilders

    public static final class MqttMessageBuilders.ConnAckPropertiesBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ConnAckPropertiesBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttMessageBuilders.ConnAckPropertiesBuilder` `assignedClientId(String clientId)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `authenticationData(byte[] rawData)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `authenticationMethod(String methodName)`
`MqttProperties` `build()`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `maximumPacketSize(long size)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `maximumQos(byte value)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `reasonString(String reason)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `receiveMaximum(int value)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `responseInformation(String value)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `retainAvailable(boolean retain)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `serverKeepAlive(int seconds)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `serverReference(String host)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `sessionExpiryInterval(long seconds)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `sharedSubscriptionAvailable(boolean value)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `subscriptionIdentifiersAvailable(boolean value)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `topicAliasMaximum(int value)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `userProperty(String name, String value)`
`MqttMessageBuilders.ConnAckPropertiesBuilder` `wildcardSubscriptionAvailable(boolean value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnAckPropertiesBuilder

    public ConnAckPropertiesBuilder()

### Method Detail

#### build

    public MqttProperties build()

#### sessionExpiryInterval

    public MqttMessageBuilders.ConnAckPropertiesBuilder sessionExpiryInterval(long seconds)

#### receiveMaximum

    public MqttMessageBuilders.ConnAckPropertiesBuilder receiveMaximum(int value)

#### maximumQos

    public MqttMessageBuilders.ConnAckPropertiesBuilder maximumQos(byte value)

#### retainAvailable

    public MqttMessageBuilders.ConnAckPropertiesBuilder retainAvailable(boolean retain)

#### maximumPacketSize

    public MqttMessageBuilders.ConnAckPropertiesBuilder maximumPacketSize(long size)

#### assignedClientId

    public MqttMessageBuilders.ConnAckPropertiesBuilder assignedClientId(String clientId)

#### topicAliasMaximum

    public MqttMessageBuilders.ConnAckPropertiesBuilder topicAliasMaximum(int value)

#### reasonString

    public MqttMessageBuilders.ConnAckPropertiesBuilder reasonString(String reason)

#### userProperty

    public MqttMessageBuilders.ConnAckPropertiesBuilder userProperty(String name,
                                                                     String value)

#### wildcardSubscriptionAvailable

    public MqttMessageBuilders.ConnAckPropertiesBuilder wildcardSubscriptionAvailable(boolean value)

#### subscriptionIdentifiersAvailable

    public MqttMessageBuilders.ConnAckPropertiesBuilder subscriptionIdentifiersAvailable(boolean value)

#### sharedSubscriptionAvailable

    public MqttMessageBuilders.ConnAckPropertiesBuilder sharedSubscriptionAvailable(boolean value)

#### serverKeepAlive

    public MqttMessageBuilders.ConnAckPropertiesBuilder serverKeepAlive(int seconds)

#### responseInformation

    public MqttMessageBuilders.ConnAckPropertiesBuilder responseInformation(String value)

#### serverReference

    public MqttMessageBuilders.ConnAckPropertiesBuilder serverReference(String host)

#### authenticationMethod

    public MqttMessageBuilders.ConnAckPropertiesBuilder authenticationMethod(String methodName)

#### authenticationData

    public MqttMessageBuilders.ConnAckPropertiesBuilder authenticationData(byte[] rawData)